Verify Face
curl --request POST \
--url https://api.eka.care/abdm/na/v1/face-auth/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aadhaar": "<string>",
"txn_id": "<string>"
}
'import requests
url = "https://api.eka.care/abdm/na/v1/face-auth/verify"
payload = {
"aadhaar": "<string>",
"txn_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({aadhaar: '<string>', txn_id: '<string>'})
};
fetch('https://api.eka.care/abdm/na/v1/face-auth/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"abha_profiles": [
{
"abha_address": "<string>",
"kyc_verified": "<string>",
"name": "<string>"
}
],
"eka": {
"min_token": "<string>",
"oid": "<string>",
"uuid": "<string>"
},
"hint": "<string>",
"profile": {
"abha_address": "<string>",
"abha_addresses": [
"<string>"
],
"abha_number": "<string>",
"address": "<string>",
"day_of_birth": 123,
"district_code": "<string>",
"district_name": "<string>",
"first_name": "<string>",
"full_name": "<string>",
"kyc_verified": true,
"last_name": "<string>",
"middle_name": "<string>",
"mobile": "<string>",
"month_of_birth": 123,
"pincode": "<string>",
"profile_photo": "<string>",
"state_code": "<string>",
"state_name": "<string>",
"sub_district_code": "<string>",
"sub_district_name": "<string>",
"town_code": "<string>",
"town_name": "<string>",
"village_code": "<string>",
"village_name": "<string>",
"ward_code": "<string>",
"ward_name": "<string>",
"year_of_birth": 123
},
"refresh_token": "<string>",
"token": "<string>",
"txn_id": "<string>"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Face Auth
Verify Face
Verify PID endpoint is used to verify face-auth pid.
POST
/
abdm
/
na
/
v1
/
face-auth
/
verify
Verify Face
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Response
OK
Abha profiles of the user.
Show child attributes
Show child attributes
Eka IDs, will be present if SkipState is abha_end
Show child attributes
Show child attributes
Hint for the mobile number
Show child attributes
Show child attributes
Refresh token of the user, issued by abdm
Available options:
abha_end, confirm_mobile_otp, abha_select, abha_create Abha token of the user, issued by abdm
Transaction ID required for the next API call.
Was this page helpful?
⌘I

